Make WordPress Core

Opened 2 months ago

Closed 2 months ago

Last modified 7 weeks ago

#60838 closed task (blessed) (fixed)

Update Requests library to version 2.0.11

Reported by: jrf's profile jrf Owned by: swissspidy's profile swissspidy
Milestone: 6.6 Priority: normal
Severity: normal Version: 6.5
Component: External Libraries Keywords: has-patch
Focuses: Cc:

Description

Requests 2.0.11 has just been released with two PHP 8.4 fixes which will become relevant for WP.

Full details:

I would recommend an update at our earliest convenience (with the exception of the certificate bundle for which WP has its own version).

Previous: #33055, #47746, #49922, #53101, #53334, #54504, #58079, #59322, #59842

Change History (6)

This ticket was mentioned in PR #6315 on WordPress/wordpress-develop by @swissspidy.


2 months ago
#1

  • Keywords has-patch added; needs-patch removed

@jrf commented on PR #6315:


2 months ago
#3

Just realized ed82152 wasn’t synced back to Requests 🤔

@schlessera and me have put that patch on the agenda for our next Requests call. Might need some work to bring the patch up to scratch (+ add tests), but once that's done we'll include it in the next release.

#4 @swissspidy
2 months ago

  • Owner set to swissspidy
  • Resolution set to fixed
  • Status changed from new to closed

In 57876:

External Libraries: Update the Requests library to version 2.0.11.

This is a maintenance release with two minor fixes to improve PHP 8.4 compatibility.

References:

Follow-up to [56554], [54997], [55007], [55046], [55225], [55296], [55629].

Props swissspidy, jrf.
Fixes #60838.

@jrf commented on PR #6315:


7 weeks ago
#6

Thanks @swissspidy !

Note: See TracTickets for help on using tickets.